Change Log
7.0.2
Patch Changes
- CHANGED Node engines tightened to
^20.10.0 || >=22.14.0to match the runtime support range for JSON ESM imports withwith { type: "json" }.
7.0.1
Patch Changes
- CHANGED Updated internal dependencies for Yarn 4 compatibility.
- CHANGED Replaced Rollup with tsdown for
@vsf-enterpriseand@alokaipackage builds.
7.0.0
Major Changes
- CHANGED Updated the package for compatibility with Node.js 22.
Key Updates:
- Upgraded to the latest version of Node.js 22
- Updated CI pipelines to use Node.js 22 for consistency.
- Updated
.nvmrcor.node-versionfiles to specify Node.js version22.14. - Upgraded
@types/nodeto version^22.13.17for compatibility with the latest Node.js features.
Recommendations:
- Use Node.js version
22.14.0or higher for optimal performance, security, and compatibility. - While Node.js 20 is technically supported, it is not recommended as it may cause compatibility issues with certain packages and has not been thoroughly tested.
7.0.0-rc.0
Major Changes
- CHANGED Updated the package for compatibility with Node.js 22.
Key Updates:
- Upgraded to the latest version of Node.js 22
- Updated CI pipelines to use Node.js 22 for consistency.
- Updated
.nvmrcor.node-versionfiles to specify Node.js version22.14. - Upgraded
@types/nodeto version^22.13.17for compatibility with the latest Node.js features.
Recommendations:
- Use Node.js version
22.14.0or higher for optimal performance, security, and compatibility. - While Node.js 20 is technically supported, it is not recommended as it may cause compatibility issues with certain packages and has not been thoroughly tested.
6.0.1
Patch Changes
- CHANGED Update axios to ^1.7.3 to avoid CWE-918
6.0.0
Major Changes
- CHANGED API client has been regenerated with the version
2.1.1of SAP Commerce Cloud withSapcctag for all operations. Now all its methods are exposed as a part of theSapccApiclass.
npx @openapitools/openapi-generator-cli generate -i https://api.c1jvi8hu9a-vsfspzooa1-d1-public.model-t.cc.commerce.ondemand.com/occ/v2/api-docs -g typescript-axios -c config.yaml -o src --skip-validate-spec --openapi-normalizer SET_TAGS_FOR_ALL_OPERATIONS=sapccChanges are compatible with the @vsf-enterprise/sapcc-api version ^8.0.0 that introduces a endpoints proxy pattern for the SapccApi class.
6.0.0-rc.0
Major Changes
- CHANGED API client has been regenerated with the version
2.1.1of SAP Commerce Cloud withSapcctag for all operations. Now all its methods are exposed as a part of theSapccApiclass.
npx @openapitools/openapi-generator-cli generate -i https://api.c1jvi8hu9a-vsfspzooa1-d1-public.model-t.cc.commerce.ondemand.com/occ/v2/api-docs -g typescript-axios -c config.yaml -o src --skip-validate-spec --openapi-normalizer SET_TAGS_FOR_ALL_OPERATIONS=sapccChanges are compatible with the @vsf-enterprise/sapcc-api version ^8.0.0 that introduces a endpoints proxy pattern for the SapccApi class.
5.0.1
Patch Changes
Update axios to ^0.28.0 to mitigate security vulnerability CVE-2023-45857
5.0.0
Major Changes
- CHANGED Changed minimum Node version from 16 to 18. The condition that was forcing the Node version to be lower than 19 is also removed.
4.1.0
Minor Changes
- ADDED getProductsByIds method that allows fetching a list of products by their ids through Alokai-OCC extension.
// Fetching products by their IDs
const products = await sdk.commerce.getProductsByIds({
ids: ["1992695", "4392695"],
});
// Fetching a product and selecting response fields
const products = await sdk.commerce.getProductsByIds({
ids: ["1992695", "4392695"],
fields: "BASIC",
});4.0.0
Major Changes
- 8858fa66: Adjust packages to SAP Comerce Cloud v2211.13, as defined by CX template
4.0.0-b2b.0
Major Changes
- 2841dcb5: Add methods to call SAP Commerce's B2B Orders controller
3.1.0
Minor Changes
- update packages to be compatibile with node >= 16 < 19
All notable changes to this project will be documented in this file. See Conventional Commits for commit guidelines.
1.1.2 (2023-01-24)
Note: Version bump only for package @vsf-enterprise/sap-commerce-webservices-sdk
1.1.1 (2022-11-29)
Bug Fixes
1.1.0 (2022-11-28)
Features
1.0.0 (2022-10-06)
Note: Version bump only for package @vsf-enterprise/sap-commerce-webservices-sdk
1.0.0-beta.7 (2022-09-02)
Note: Version bump only for package @vsf-enterprise/sap-commerce-webservices-sdk
1.0.0-beta.6 (2022-09-01)
Note: Version bump only for package @vsf-enterprise/sap-commerce-webservices-sdk
1.0.0-beta.4 (2022-08-31)
Bug Fixes
Features
- sap-327: cross selling docs (#228) (2743dd1)
- adding generated sdk for sap commerce webservices (#5) (055fe88)
- product (#8) (1511b89)